diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
index 4b79af1c..f8c90867 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
@@ -3,27 +3,26 @@
 /**
  * @file
  * Defines server classes and related functions.
- *
  */
 
 /**
- * TODO check if this already exists or find a better place for this function
+ * TODO check if this already exists or find a better place for this function.
  *
  * Formats a ldap-entry ready to be printed on console.
- * TODO describe preconditions for ldap_entry
+ * TODO describe preconditions for ldap_entry.
  */
 function pretty_print_ldap_entry($ldap_entry) {
-  $m = array();
+  $m = [];
   for ($i = 0; $i < $ldap_entry['count']; $i++) {
     $k = $ldap_entry[$i];
     $v = $ldap_entry[$k];
-    if(is_array($v)) {
-      $m2 = array();
+    if (is_array($v)) {
+      $m2 = [];
       $max = $v['count'] > 3 ? 3 : $v['count'];
       for ($j = 0; $j < $max; $j++) {
-	$m2[] = $v[$j];
+        $m2[] = $v[$j];
       }
-      $v = "(".join(", ", $m2).")";
+      $v = "(" . join(", ", $m2) . ")";
     }
     $m[] = $k . ": " . $v;
   }
@@ -31,15 +30,14 @@ function pretty_print_ldap_entry($ldap_entry) {
 }
 
 /**
- * LDAP Server Class
+ * LDAP Server Class.
  *
- *  This class is used to create, work with, and eventually destroy ldap_server
+ * This class is used to create, work with, and eventually destroy ldap_server
  * objects.
  *
  * @todo make bindpw protected
  */
 class LdapServer {
-  // LDAP Settings
 
   const LDAP_CONNECT_ERROR = 0x5b;
   const LDAP_SUCCESS = 0x00;
@@ -56,47 +54,115 @@ class LdapServer {
   public $tls = FALSE;
   public $followrefs = FALSE;
   public $bind_method = 0;
-  public $basedn = array();
-  public $binddn = FALSE; // Default to an anonymous bind.
-  public $bindpw = FALSE; // Default to an anonymous bind.
+  public $basedn = [];
+
+  /**
+   * Default to an anonymous bind.
+   */
+  public $binddn = FALSE;
+
+  /**
+   * Default to an anonymous bind.
+   */
+  public $bindpw = FALSE;
+
   public $user_dn_expression;
   public $user_attr;
-  public $account_name_attr; //lowercase
-  public $mail_attr; //lowercase
+
+  /**
+   * Lowercase.
+   */
+  public $account_name_attr;
+
+  /**
+   * Lowercase.
+   */
+  public $mail_attr;
   public $mail_template;
   public $picture_attr;
-  public $unique_persistent_attr; //lowercase
+
+  /**
+   * Lowercase.
+   */
+  public $unique_persistent_attr;
   public $unique_persistent_attr_binary = FALSE;
   public $ldapToDrupalUserPhp;
   public $testingDrupalUsername;
   public $testingDrupalUserDn;
   public $detailed_watchdog_log;
   public $editPath;
-  public $queriableWithoutUserCredentials = FALSE; // can this server be queried without user credentials provided?
-  public $userAttributeNeededCache = array(); // array of attributes needed keyed on $op such as 'user_update'
+
+  /**
+   * Can this server be queried without user credentials provided?
+   */
+  public $queriableWithoutUserCredentials = FALSE;
+
+  /**
+   * Array of attributes needed keyed on $op such as 'user_update'.
+   */
+  public $userAttributeNeededCache = [];
 
   public $groupFunctionalityUnused = 0;
   public $groupObjectClass;
-  public $groupNested = 0; // 1 | 0
+
+  /**
+   * 1 | 0.
+   */
+  public $groupNested = 0;
   public $groupDeriveFromDn = FALSE;
-  public $groupDeriveFromDnAttr = NULL; //lowercase
-  public $groupUserMembershipsAttrExists = FALSE; // does a user attribute containing groups exist?
-  public $groupUserMembershipsAttr = NULL;   //lowercase     // name of user attribute containing groups
-  public $groupUserMembershipsConfigured = FALSE; // user attribute containing memberships is configured enough to use
 
-  public $groupMembershipsAttr = NULL;  //lowercase // members, uniquemember, memberUid
-  public $groupMembershipsAttrMatchingUserAttr = NULL; //lowercase // dn, cn, etc contained in groupMembershipsAttr
-  public $groupGroupEntryMembershipsConfigured = FALSE; // are groupMembershipsAttrMatchingUserAttr and groupGroupEntryMembershipsConfigured populated
+  /**
+   * Lowercase.
+   */
+  public $groupDeriveFromDnAttr = NULL;
+
+  /**
+   * Does a user attribute containing groups exist?
+   */
+  public $groupUserMembershipsAttrExists = FALSE;
+
+  /**
+   * Lowercase name of user attribute containing groups.
+   */
+  public $groupUserMembershipsAttr = NULL;
+  /**
+   * User attribute containing memberships is configured enough to use.
+   */
+  public $groupUserMembershipsConfigured = FALSE;
+
+  /**
+   * Lowercase // members, uniquemember, memberUid.
+   */
+  public $groupMembershipsAttr = NULL;
+
+
+  /**
+   * Lowercase // dn, cn, etc contained in groupMembershipsAttr.
+   */
+  public $groupMembershipsAttrMatchingUserAttr = NULL;
+
+  /**
+   * Are groupMembershipsAttrMatchingUserAttr and
+   * groupGroupEntryMembershipsConfigured populated.
+   */
+  public $groupGroupEntryMembershipsConfigured = FALSE;
 
   public $groupTestGroupDn = NULL;
   public $groupTestGroupDnWriteable = NULL;
 
-  private $group_properties = array(
-    'groupObjectClass', 'groupNested', 'groupDeriveFromDn', 'groupDeriveFromDnAttr', 'groupUserMembershipsAttrExists',
-    'groupUserMembershipsAttr', 'groupMembershipsAttrMatchingUserAttr', 'groupTestGroupDn', 'groupTestGroupDnWriteable'
-  );
-
-  public $paginationEnabled = FALSE; // (boolean)(function_exists('ldap_control_paged_result_response') && function_exists('ldap_control_paged_result'));
+  private $group_properties = [
+    'groupObjectClass',
+    'groupNested',
+    'groupDeriveFromDn',
+    'groupDeriveFromDnAttr',
+    'groupUserMembershipsAttrExists',
+    'groupUserMembershipsAttr',
+    'groupMembershipsAttrMatchingUserAttr',
+    'groupTestGroupDn',
+    'groupTestGroupDnWriteable',
+  ];
+
+  public $paginationEnabled = FALSE;
   public $searchPagination = FALSE;
   public $searchPageSize = 1000;
   public $searchPageStart = 0;
@@ -105,59 +171,58 @@ class LdapServer {
   public $inDatabase = FALSE;
   public $connection;
 
-
   /**
-   * Direct mapping of db to object properties
+   * Direct mapping of db to object properties.
    *
    * @return array
    */
   public static function field_to_properties_map() {
-    return array(
-    'sid' => 'sid',
-    'numeric_sid' => 'numericSid',
-    'name'  => 'name' ,
-    'status'  => 'status',
-    'ldap_type'  => 'ldap_type',
-    'address'  => 'address',
-    'port'  => 'port',
-    'tls'  => 'tls',
-    'followrefs'  => 'followrefs',
-    'bind_method' => 'bind_method',
-    'basedn'  => 'basedn',
-    'binddn'  => 'binddn',
-    'user_dn_expression' => 'user_dn_expression',
-    'user_attr'  => 'user_attr',
-    'account_name_attr'  => 'account_name_attr',
-    'mail_attr'  => 'mail_attr',
-    'mail_template'  => 'mail_template',
-    'picture_attr'  => 'picture_attr',
-    'unique_persistent_attr' => 'unique_persistent_attr',
-    'unique_persistent_attr_binary' => 'unique_persistent_attr_binary',
-    'ldap_to_drupal_user'  => 'ldapToDrupalUserPhp',
-    'testing_drupal_username'  => 'testingDrupalUsername',
-    'testing_drupal_user_dn'  => 'testingDrupalUserDn',
-
-    'grp_unused' => 'groupFunctionalityUnused',
-    'grp_object_cat' => 'groupObjectClass',
-    'grp_nested' => 'groupNested',
-    'grp_user_memb_attr_exists' => 'groupUserMembershipsAttrExists',
-    'grp_user_memb_attr' => 'groupUserMembershipsAttr',
-    'grp_memb_attr' => 'groupMembershipsAttr',
-    'grp_memb_attr_match_user_attr' => 'groupMembershipsAttrMatchingUserAttr',
-    'grp_derive_from_dn' => 'groupDeriveFromDn',
-    'grp_derive_from_dn_attr' => 'groupDeriveFromDnAttr',
-    'grp_test_grp_dn' => 'groupTestGroupDn',
-    'grp_test_grp_dn_writeable' => 'groupTestGroupDnWriteable',
-
-    'search_pagination' => 'searchPagination',
-    'search_page_size' => 'searchPageSize',
+    return [
+      'sid' => 'sid',
+      'numeric_sid' => 'numericSid',
+      'name'  => 'name' ,
+      'status'  => 'status',
+      'ldap_type'  => 'ldap_type',
+      'address'  => 'address',
+      'port'  => 'port',
+      'tls'  => 'tls',
+      'followrefs'  => 'followrefs',
+      'bind_method' => 'bind_method',
+      'basedn'  => 'basedn',
+      'binddn'  => 'binddn',
+      'user_dn_expression' => 'user_dn_expression',
+      'user_attr'  => 'user_attr',
+      'account_name_attr'  => 'account_name_attr',
+      'mail_attr'  => 'mail_attr',
+      'mail_template'  => 'mail_template',
+      'picture_attr'  => 'picture_attr',
+      'unique_persistent_attr' => 'unique_persistent_attr',
+      'unique_persistent_attr_binary' => 'unique_persistent_attr_binary',
+      'ldap_to_drupal_user'  => 'ldapToDrupalUserPhp',
+      'testing_drupal_username'  => 'testingDrupalUsername',
+      'testing_drupal_user_dn'  => 'testingDrupalUserDn',
+
+      'grp_unused' => 'groupFunctionalityUnused',
+      'grp_object_cat' => 'groupObjectClass',
+      'grp_nested' => 'groupNested',
+      'grp_user_memb_attr_exists' => 'groupUserMembershipsAttrExists',
+      'grp_user_memb_attr' => 'groupUserMembershipsAttr',
+      'grp_memb_attr' => 'groupMembershipsAttr',
+      'grp_memb_attr_match_user_attr' => 'groupMembershipsAttrMatchingUserAttr',
+      'grp_derive_from_dn' => 'groupDeriveFromDn',
+      'grp_derive_from_dn_attr' => 'groupDeriveFromDnAttr',
+      'grp_test_grp_dn' => 'groupTestGroupDn',
+      'grp_test_grp_dn_writeable' => 'groupTestGroupDnWriteable',
+
+      'search_pagination' => 'searchPagination',
+      'search_page_size' => 'searchPageSize',
 
-    );
+    ];
 
   }
 
   /**
-   * Constructor Method
+   * Constructor Method.
    *
    * @param $sid
    */
@@ -169,7 +234,7 @@ class LdapServer {
     $server_record = FALSE;
     if (module_exists('ctools')) {
       ctools_include('export');
-      $result = ctools_export_load_object('ldap_servers', 'names', array($sid));
+      $result = ctools_export_load_object('ldap_servers', 'names', [$sid]);
       if (isset($result[$sid])) {
         $server_record = new stdClass();
         foreach ($result[$sid] as $db_field_name => $value) {
@@ -197,7 +262,7 @@ class LdapServer {
       $this->inDatabase = TRUE;
       $this->sid = $sid;
       $this->detailedWatchdogLog = variable_get('ldap_help_watchdog_detail', 0);
-      foreach ($this->field_to_properties_map() as $db_field_name => $property_name ) {
+      foreach ($this->field_to_properties_map() as $db_field_name => $property_name) {
         if (isset($server_record->$db_field_name)) {
           $this->{$property_name} = $server_record->$db_field_name;
         }
@@ -210,17 +275,18 @@ class LdapServer {
   /**
    * This method sets properties that don't directly map from db record.
    *
-   * It is split out so it can be shared with ldapServerTest.class.php
+   * It is split out so it can be shared with ldapServerTest.class.php.
    *
    * @param $bindpw
    */
   protected function initDerivedProperties($bindpw) {
 
-    // get this->basedn in array format
+    // Get this->basedn in array format.
     if (!$this->basedn) {
-      $this->basedn = array();
+      $this->basedn = [];
     }
-    elseif (is_array($this->basedn)) { // do nothing
+    // Do nothing.
+    elseif (is_array($this->basedn)) {
     }
     else {
       $basedn_unserialized = @unserialize($this->basedn);
@@ -228,10 +294,10 @@ class LdapServer {
         $this->basedn = $basedn_unserialized;
       }
       else {
-        $this->basedn = array();
+        $this->basedn = [];
         $token = is_scalar($basedn_unserialized) ? $basedn_unserialized : print_r($basedn_unserialized, TRUE);
-        debug("basednb desearialization error". $token);
-        watchdog('ldap_servers', 'Failed to deserialize LdapServer::basedn of !basedn', array('!basedn' => $token), WATCHDOG_ERROR);
+        debug("basednb desearialization error" . $token);
+        watchdog('ldap_servers', 'Failed to deserialize LdapServer::basedn of !basedn', ['!basedn' => $token], WATCHDOG_ERROR);
       }
 
     }
@@ -254,9 +320,9 @@ class LdapServer {
       }
     }
 
-    $this->paginationEnabled = (boolean)(ldap_servers_php_supports_pagination() && $this->searchPagination);
+    $this->paginationEnabled = (boolean) (ldap_servers_php_supports_pagination() && $this->searchPagination);
 
-    $this->queriableWithoutUserCredentials = (boolean)(
+    $this->queriableWithoutUserCredentials = (boolean) (
       $this->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT ||
       $this->bind_method == LDAP_SERVERS_BIND_METHOD_ANON_USER
     );
@@ -267,7 +333,7 @@ class LdapServer {
   }
 
   /**
-   * Destructor Method
+   * Destructor Method.
    */
   public function __destruct() {
     // Close the server connection to be sure.
@@ -275,7 +341,7 @@ class LdapServer {
   }
 
   /**
-   * Invoke Method
+   * Invoke Method.
    */
   public function __invoke() {
     $this->connect();
@@ -283,7 +349,7 @@ class LdapServer {
   }
 
   /**
-   * Connect Method
+   * Connect Method.
    */
   public function connect() {
     if (!function_exists('ldap_connect')) {
@@ -297,7 +363,7 @@ class LdapServer {
     }
 
     ldap_set_option($con, LDAP_OPT_PROTOCOL_VERSION, 3);
-    ldap_set_option($con, LDAP_OPT_REFERRALS, (int)$this->followrefs);
+    ldap_set_option($con, LDAP_OPT_REFERRALS, (int) $this->followrefs);
 
     // Use TLS if we are configured and able to.
     if ($this->tls) {
@@ -315,25 +381,24 @@ class LdapServer {
         return LDAP_CONNECT_ERROR;
       }
       elseif (!ldap_start_tls($con)) {
-        $msg = t("Could not start TLS. (Error %errno: %error).", array('%errno' => ldap_errno($con), '%error' => ldap_error($con)));
+        $msg = t("Could not start TLS. (Error %errno: %error).", ['%errno' => ldap_errno($con), '%error' => ldap_error($con)]);
         watchdog('ldap_servers', $msg);
         return LDAP_CONNECT_ERROR;
       }
     }
 
-  // Store the resulting resource
-  $this->connection = $con;
-  return LDAP_SUCCESS;
+    // Store the resulting resource.
+    $this->connection = $con;
+    return LDAP_SUCCESS;
   }
 
-
   /**
-	 * Bind (authenticate) against an active LDAP database.
-	 *
-	 * @param $userdn
-	 *   The DN to bind against. If NULL, we use $this->binddn
-	 * @param $pass
-	 *   The password search base. If NULL, we use $this->bindpw
+   * Bind (authenticate) against an active LDAP database.
+   *
+   * @param $userdn
+   *   The DN to bind against. If NULL, we use $this->binddn
+   * @param $pass
+   *   The password search base. If NULL, we use $this->bindpw
    *
    * @return
    *   Result of bind; TRUE if successful, FALSE otherwise.
@@ -342,7 +407,7 @@ class LdapServer {
 
     // Ensure that we have an active server connection.
     if (!$this->connection) {
-      watchdog('ldap_servers', "LDAP bind failure for user %user. Not connected to LDAP server.", array('%user' => $userdn));
+      watchdog('ldap_servers', "LDAP bind failure for user %user. Not connected to LDAP server.", ['%user' => $userdn]);
       return LDAP_CONNECT_ERROR;
     }
 
@@ -352,7 +417,7 @@ class LdapServer {
     if ($anon_bind === TRUE) {
       if (@!ldap_bind($this->connection)) {
         if ($this->detailedWatchdogLog) {
-          watchdog('ldap_servers', "LDAP anonymous bind error. Error %errno: %error", array('%errno' => ldap_errno($this->connection), '%error' => ldap_error($this->connection)));
+          watchdog('ldap_servers', "LDAP anonymous bind error. Error %errno: %error", ['%errno' => ldap_errno($this->connection), '%error' => ldap_error($this->connection)]);
         }
         return ldap_errno($this->connection);
       }
@@ -363,16 +428,16 @@ class LdapServer {
 
       if ($this->followrefs) {
         $rebHandler = new LdapServersRebindHandler($userdn, $pass);
-        ldap_set_rebind_proc($this->connection, array($rebHandler, 'rebind_callback'));
+        ldap_set_rebind_proc($this->connection, [$rebHandler, 'rebind_callback']);
       }
 
       if (drupal_strlen($pass) == 0 || drupal_strlen($userdn) == 0) {
-        watchdog('ldap_servers', "LDAP bind failure for user userdn=%userdn, pass=%pass.", array('%userdn' => $userdn, '%pass' => $pass));
+        watchdog('ldap_servers', "LDAP bind failure for user userdn=%userdn, pass=%pass.", ['%userdn' => $userdn, '%pass' => $pass]);
         return LDAP_LOCAL_ERROR;
       }
       if (@!ldap_bind($this->connection, $userdn, $pass)) {
         if ($this->detailedWatchdogLog) {
-          watchdog('ldap_servers', "LDAP bind failure for user %user. Error %errno: %error", array('%user' => $userdn, '%errno' => ldap_errno($this->connection), '%error' => ldap_error($this->connection)));
+          watchdog('ldap_servers', "LDAP bind failure for user %user. Error %errno: %error", ['%user' => $userdn, '%errno' => ldap_errno($this->connection), '%error' => ldap_error($this->connection)]);
         }
         return ldap_errno($this->connection);
       }
@@ -386,8 +451,8 @@ class LdapServer {
    */
   public function disconnect() {
     if (!$this->connection) {
-      // never bound or not currently bound, so no need to disconnect
-      //watchdog('ldap_servers', 'LDAP disconnect failure from '. $this->server_addr . ':' . $this->port);
+      // Never bound or not currently bound, so no need to disconnect
+      // watchdog('ldap_servers', 'LDAP disconnect failure from '. $this->server_addr . ':' . $this->port);.
     }
     else {
       ldap_unbind($this->connection);
@@ -399,25 +464,26 @@ class LdapServer {
    *
    */
   public function connectAndBindIfNotAlready() {
-    if (! $this->connection) {
+    if (!$this->connection) {
       $this->connect();
       $this->bind();
     }
   }
 
   /**
-   * does dn exist for this server?
-   *
+   * Does dn exist for this server?
    *
    * @param string $dn
-   * @param enum $return = 'boolean' or 'ldap_entry'
-   * @param array $attributes in same form as ldap_read $attributes parameter
+   * @param enum $return
+   *   = 'boolean' or 'ldap_entry'.
+   * @param array $attributes
+   *   in same form as ldap_read $attributes parameter.
    *
    * @return bool|array
    */
   public function dnExists($dn, $return = 'boolean', $attributes = NULL) {
 
-    $params = array(
+    $params = [
       'base_dn' => $dn,
       'attributes' => $attributes,
       'attrsonly' => FALSE,
@@ -425,10 +491,10 @@ class LdapServer {
       'sizelimit' => 0,
       'timelimit' => 0,
       'deref' => NULL,
-    );
+    ];
 
     if ($return == 'boolean' || !is_array($attributes)) {
-      $params['attributes'] = array('objectclass');
+      $params['attributes'] = ['objectclass'];
     }
     else {
       $params['attributes'] = $attributes;
@@ -447,7 +513,8 @@ class LdapServer {
   }
 
   /**
-   * @param $ldap_result as ldap link identifier
+   * @param $ldap_result
+   *   as ldap link identifier
    *
    * @return FALSE on error or number of entries.
    *   (if 0 entries will return 0)
@@ -457,13 +524,15 @@ class LdapServer {
   }
 
   /**
-   * create ldap entry.
+   * Create ldap entry.
    *
-   * @param array $attributes should follow the structure of ldap_add functions
+   * @param array $attributes
+   *   should follow the structure of ldap_add functions
    *   entry array: http://us.php.net/manual/en/function.ldap-add.php
    *     $attributes["attribute1"] = "value";
    *     $attributes["attribute2"][0] = "value1";
-   *     $attributes["attribute2"][1] = "value2";
+   *     $attributes["attribute2"][1] = "value2";.
+   *
    * @return boolean result
    */
   public function createLdapEntry($attributes, $dn = NULL) {
@@ -487,7 +556,7 @@ class LdapServer {
     $result = @ldap_add($this->connection, $dn, $attributes);
     if (!$result) {
       $error = "LDAP Server ldap_add(%dn) Error Server ID = %sid, LDAP Err No: %ldap_errno LDAP Err Message: %ldap_err2str ";
-      $tokens = array('%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection)));
+      $tokens = ['%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection))];
       watchdog('ldap_servers', $error, $tokens, WATCHDOG_ERROR);
     }
 
@@ -530,12 +599,13 @@ class LdapServer {
         }
       }
 
-      // identical multivalued attributes
+      // Identical multivalued attributes.
       if (is_array($new_val) && is_array($old_value) && count(array_diff($new_val, $old_value)) == 0) {
         unset($new_entry[$key]);
       }
       elseif ($old_value_is_scalar && !is_array($new_val) && drupal_strtolower($old_value) == drupal_strtolower($new_val)) {
-        unset($new_entry[$key]); // don't change values that aren't changing to avoid false permission constraints
+        // don't change values that aren't changing to avoid false permission constraints.
+        unset($new_entry[$key]);
       }
     }
 
@@ -543,18 +613,20 @@ class LdapServer {
   }
 
   /**
-   * modify attributes of ldap entry
+   * Modify attributes of ldap entry.
    *
-   * @param string $dn DN of entry
-   * @param array $attributes should follow the structure of ldap_add functions
+   * @param string $dn
+   *   DN of entry.
+   * @param array $attributes
+   *   should follow the structure of ldap_add functions
    *   entry array: http://us.php.net/manual/en/function.ldap-add.php
    *     $attributes["attribute1"] = "value";
    *     $attributes["attribute2"][0] = "value1";
-   *     $attributes["attribute2"][1] = "value2";
+   *     $attributes["attribute2"][1] = "value2";.
    *
    * @return TRUE on success FALSE on error
    */
-  public function modifyLdapEntry($dn, $attributes = array(), $old_attributes = FALSE) {
+  public function modifyLdapEntry($dn, $attributes = [], $old_attributes = FALSE) {
 
     $this->connectAndBindIfNotAlready();
 
@@ -562,7 +634,7 @@ class LdapServer {
       $result = @ldap_read($this->connection, $dn, 'objectClass=*');
       if (!$result) {
         $error = "LDAP Server ldap_read(%dn) in LdapServer::modifyLdapEntry() Error Server ID = %sid, LDAP Err No: %ldap_errno LDAP Err Message: %ldap_err2str ";
-        $tokens = array('%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection)));
+        $tokens = ['%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection))];
         watchdog('ldap_servers', $error, $tokens, WATCHDOG_ERROR);
         return FALSE;
       }
@@ -592,12 +664,13 @@ class LdapServer {
         }
       }
 
-      if ($cur_val == '' && $old_value != '') { // remove enpty attributes
+      // Remove enpty attributes.
+      if ($cur_val == '' && $old_value != '') {
         unset($attributes[$key]);
-        $result = @ldap_mod_del($this->connection, $dn, array($key_lcase => $old_value));
+        $result = @ldap_mod_del($this->connection, $dn, [$key_lcase => $old_value]);
         if (!$result) {
           $error = "LDAP Server ldap_mod_del(%dn) in LdapServer::modifyLdapEntry() Error Server ID = %sid, LDAP Err No: %ldap_errno LDAP Err Message: %ldap_err2str ";
-          $tokens = array('%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection)));
+          $tokens = ['%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection))];
           watchdog('ldap_servers', $error, $tokens, WATCHDOG_ERROR);
           return FALSE;
         }
@@ -605,7 +678,8 @@ class LdapServer {
       elseif (is_array($cur_val)) {
         foreach ($cur_val as $mv_key => $mv_cur_val) {
           if ($mv_cur_val == '') {
-            unset($attributes[$key][$mv_key]); // remove empty values in multivalues attributes
+            // Remove empty values in multivalues attributes.
+            unset($attributes[$key][$mv_key]);
           }
           else {
             $attributes[$key][$mv_key] = $mv_cur_val;
@@ -618,7 +692,7 @@ class LdapServer {
       $result = @ldap_modify($this->connection, $dn, $attributes);
       if (!$result) {
         $error = "LDAP Server ldap_modify(%dn) in LdapServer::modifyLdapEntry() Error Server ID = %sid, LDAP Err No: %ldap_errno LDAP Err Message: %ldap_err2str ";
-        $tokens = array('%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection)));
+        $tokens = ['%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection))];
         watchdog('ldap_servers', $error, $tokens, WATCHDOG_ERROR);
         return FALSE;
       }
@@ -643,18 +717,18 @@ class LdapServer {
     $result = @ldap_delete($this->connection, $dn);
     if (!$result) {
       $error = "LDAP Server delete(%dn) in LdapServer::delete() Error Server ID = %sid, LDAP Err No: %ldap_errno LDAP Err Message: %ldap_err2str ";
-      $tokens = array('%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection)));
+      $tokens = ['%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection))];
       watchdog('ldap_servers', $error, $tokens, WATCHDOG_ERROR);
     }
     return $result;
   }
 
   /**
-   * Perform an LDAP search on all base dns and aggregate into one result
+   * Perform an LDAP search on all base dns and aggregate into one result.
    *
    * @param string $filter
-   *   The search filter. such as sAMAccountName=jbarclay.  attribute values (e.g. jbarclay) should be esacaped before calling
-
+   *   The search filter. such as sAMAccountName=jbarclay.  attribute values (e.g. jbarclay) should be esacaped before calling.
+   *
    * @param array $attributes
    *   List of desired attributes. If omitted, we only return "dn".
    *
@@ -666,17 +740,20 @@ class LdapServer {
    */
   public function searchAllBaseDns(
     $filter,
-    $attributes = array(),
+    $attributes = [],
     $attrsonly = 0,
     $sizelimit = 0,
     $timelimit = 0,
     $deref = NULL,
     $scope = LDAP_SCOPE_SUBTREE
     ) {
-    $all_entries = array();
-    foreach ($this->basedn as $base_dn) {  // need to search on all basedns one at a time
-      $entries = $this->search($base_dn, $filter, $attributes, $attrsonly, $sizelimit, $timelimit, $deref, $scope);  // no attributes, just dns needed
-      if ($entries === FALSE) { // if error in any search, return false
+    $all_entries = [];
+    // Need to search on all basedns one at a time.
+    foreach ($this->basedn as $base_dn) {
+      // No attributes, just dns needed.
+      $entries = $this->search($base_dn, $filter, $attributes, $attrsonly, $sizelimit, $timelimit, $deref, $scope);
+      // If error in any search, return false.
+      if ($entries === FALSE) {
         return FALSE;
       }
       if (count($all_entries) == 0) {
@@ -700,10 +777,10 @@ class LdapServer {
    * Perform an LDAP search.
    *
    * @param string $basedn
-   *   The search base. If NULL, we use $this->basedn. should not be esacaped
+   *   The search base. If NULL, we use $this->basedn. should not be esacaped.
    * @param string $filter
    *   The search filter. such as sAMAccountName=jbarclay.  attribute values
-   * (e.g. jbarclay) should be esacaped before calling
+   *   (e.g. jbarclay) should be esacaped before calling.
    *
    * @param array $attributes
    *   List of desired attributes. If omitted, we only return "dn".
@@ -715,10 +792,16 @@ class LdapServer {
    *   elements if search returns no results),
    *   or FALSE on error.
    */
-  public function search($base_dn = NULL, $filter, $attributes = array(),
-    $attrsonly = 0, $sizelimit = 0, $timelimit = 0, $deref = NULL, $scope = LDAP_SCOPE_SUBTREE) {
+  public function search($base_dn = NULL,
+  $filter,
+  $attributes = [],
+    $attrsonly = 0,
+  $sizelimit = 0,
+  $timelimit = 0,
+  $deref = NULL,
+  $scope = LDAP_SCOPE_SUBTREE) {
 
-     /**
+    /**
       * pagingation issues:
       * -- see documentation queue: http://markmail.org/message/52w24iae3g43ikix#query:+page:1+mid:bez5vpl6smgzmymy+state:results
       * -- wait for php 5.4? https://svn.php.net/repository/php/php-src/tags/php_5_4_0RC6/NEWS (ldap_control_paged_result
@@ -735,7 +818,7 @@ class LdapServer {
     }
 
     $attr_display = is_array($attributes) ? join(',', $attributes) : 'none';
-    $query = 'ldap_search() call: ' . join(",\n", array(
+    $query = 'ldap_search() call: ' . join(",\n", [
       'base_dn: ' . $base_dn,
       'filter = ' . $filter,
       'attributes: ' . $attr_display,
@@ -744,19 +827,19 @@ class LdapServer {
       'timelimit = ' . $timelimit,
       'deref = ' . $deref,
       'scope = ' . $scope,
-      )
+    ]
     );
     if ($this->detailed_watchdog_log) {
-      watchdog('ldap_servers', $query, array());
+      watchdog('ldap_servers', $query, []);
     }
 
     // When checking multiple servers, there's a chance we might not be connected yet.
-    if (! $this->connection) {
+    if (!$this->connection) {
       $this->connect();
       $this->bind();
     }
 
-    $ldap_query_params = array(
+    $ldap_query_params = [
       'connection' => $this->connection,
       'base_dn' => $base_dn,
       'filter' => $filter,
@@ -767,7 +850,7 @@ class LdapServer {
       'deref' => $deref,
       'query_display' => $query,
       'scope' => $scope,
-    );
+    ];
 
     if ($this->searchPagination && $this->paginationEnabled) {
       $aggregated_entries = $this->pagedLdapQuery($ldap_query_params);
@@ -775,15 +858,19 @@ class LdapServer {
     }
     else {
       $result = $this->ldapQuery($scope, $ldap_query_params);
-      if ($result && ($this->countEntries($result) !== FALSE) ) {
+      if ($result && ($this->countEntries($result) !== FALSE)) {
         $entries = ldap_get_entries($this->connection, $result);
         drupal_alter('ldap_server_search_results', $entries, $ldap_query_params);
         return (is_array($entries)) ? $entries : FALSE;
       }
       elseif ($this->ldapErrorNumber()) {
-        $watchdog_tokens = array('%basedn' => $ldap_query_params['base_dn'], '%filter' => $ldap_query_params['filter'],
-          '%attributes' => print_r($ldap_query_params['attributes'], TRUE), '%errmsg' => $this->errorMsg('ldap'),
-          '%errno' => $this->ldapErrorNumber());
+        $watchdog_tokens = [
+          '%basedn' => $ldap_query_params['base_dn'],
+          '%filter' => $ldap_query_params['filter'],
+          '%attributes' => print_r($ldap_query_params['attributes'], TRUE),
+          '%errmsg' => $this->errorMsg('ldap'),
+          '%errno' => $this->ldapErrorNumber(),
+        ];
         watchdog('ldap_servers', "LDAP ldap_search error. basedn: %basedn| filter: %filter| attributes:
           %attributes| errmsg: %errmsg| ldap err no: %errno|", $watchdog_tokens);
         return FALSE;
@@ -795,12 +882,13 @@ class LdapServer {
   }
 
   /**
-   * execute a paged ldap query and return entries as one aggregated array
+   * Execute a paged ldap query and return entries as one aggregated array.
    *
    * $this->searchPageStart and $this->searchPageEnd should be set before calling if
-   *   a particular set of pages is desired
+   *   a particular set of pages is desired.
    *
-   * @param array $ldap_query_params of form:
+   * @param array $ldap_query_params
+   *   of form:
    *   'base_dn' => base_dn,
    *   'filter' =>  filter,
    *   'attributes' => attributes,
